# 💡 Tips

## Query data from an instance

For maintenance reason, we sometime need to check data on a specific instance. For that we use postman to send get / post / delete data.
All possibility are described in the [data section of Cozy documentation](https://docs.cozy.io/en/cozy-stack/data-system/).

### Get example

The example will describe how to query userChallenge data from "ecolyotest" instance.
First, you need to be able to connect to the instance in order to retrieve the bearer and the cozysessid.

![Bearer&cozysessid](/img/bearer_cozysessid.png)

Then use postman to query the data:

```
Verb: GET
Request: https://ecolyotest.cozy.self-data.alpha.grandlyon.com/data/com.grandlyon.ecolyo.userchallenge/_all_docs?include_docs=true
Header:
    Accept: application/json
    content-type: application/json
    Authorization: Bearer xxxxxxxxxxx
    Cookie: cozysessid=xxxxxxxxxxx
```

The result will then be retrieve by postman:

```json
{
    "total_rows": 1,
    "offset": 0,
    "rows": [
        {
            "id": "a353b985c0c5f09229b0acd6b2f37f1b",
            "key": "a353b985c0c5f09229b0acd6b2f37f1b",
        ...
    ]
}
```

## Delete a doctype from a instance

You can use ACH to delete a doctype.
Please find the [ACH documentation](https://npm.io/package/cozy-ach) to see all commands

### Delete example

The example will describe how to drop userChallenge doctype from "ecolyotest" instance.
the token provided is the one present in the cozysessid.

```sh
ach -t xxxxxxxxxxx -u https://ecolyotest.cozy.self-data.alpha.grandlyon.com drop com.grandlyon.ecolyo.userchallenge
```

The doctype `com.grandlyon.ecolyo.userchallenge` will be removed.

Type `yes` to continue.

A browser window will be opened asking for authorization to access to your file.
Just click on "Authorize" to keep on with the doctype dropping.
