# Openshift

Plusieurs projets développés par la factory sont déployés sur le cluster Openshift hébergé par Synaaps. La création et l'administration de namespaces passent par le [Manager Openshift Synaaps](https://manager.apps.grandlyon.com/). En cas de besoin, contacter [Pierre-Eliott Bressand](mailto:ext.solutec.pbressand@grandlyon.com) !

Un guide complet est disponible sur https://guide.air.grandlyon.fr (accessible uniquement sur le réseau Mercure) avec une vidéo-tutoriel expliquant tout le parcours de création de namespace, création d'un projet sur la forge, des fichiers de configuration des déploiements YAML et l'installation du déploiement continu automatisé.

## Namespaces utilisés

### Ecolyo Agent

Deux namespaces sont dédiés à Ecolyo-Agent, le backoffice d'Ecolyo :

| Environnement | Namespace            |
| ------------- | -------------------- |
| Recette       | ns-ecolyo-bo-r01-syn |
| Production    | ns-ecolyo-bo-p01-syn |

### Self Data

Deux namespaces sont dédiés plus généralement au self-data, on y retrouve les landing page pour Mes Papiers et Ma Bulle, ainsi que cette documentation :

| Environnement | Namespace      |
| ------------- | -------------- |
| Recette       | ns-cpd-r01-syn |
| Production    | ns-cpd-p01-syn |

## Fichiers de déploiement

Tous les fichiers de déploiement sont regroupés dans un dossier `k8s` (c'est un raccourci pour Kubernetes).
Il s'agit de fichiers au format `.yaml` décrivant les différentes parties nécessaires au déploiement d'un application (pods, services, routes, etc...).
